head	1.2;
access;
symbols
	pkgsrc-2026Q1:1.2.0.54
	pkgsrc-2026Q1-base:1.2
	pkgsrc-2025Q4:1.2.0.52
	pkgsrc-2025Q4-base:1.2
	pkgsrc-2025Q3:1.2.0.50
	pkgsrc-2025Q3-base:1.2
	pkgsrc-2025Q2:1.2.0.48
	pkgsrc-2025Q2-base:1.2
	pkgsrc-2025Q1:1.2.0.46
	pkgsrc-2025Q1-base:1.2
	pkgsrc-2024Q4:1.2.0.44
	pkgsrc-2024Q4-base:1.2
	pkgsrc-2024Q3:1.2.0.42
	pkgsrc-2024Q3-base:1.2
	pkgsrc-2024Q2:1.2.0.40
	pkgsrc-2024Q2-base:1.2
	pkgsrc-2024Q1:1.2.0.38
	pkgsrc-2024Q1-base:1.2
	pkgsrc-2023Q4:1.2.0.36
	pkgsrc-2023Q4-base:1.2
	pkgsrc-2023Q3:1.2.0.34
	pkgsrc-2023Q3-base:1.2
	pkgsrc-2023Q2:1.2.0.32
	pkgsrc-2023Q2-base:1.2
	pkgsrc-2023Q1:1.2.0.30
	pkgsrc-2023Q1-base:1.2
	pkgsrc-2022Q4:1.2.0.28
	pkgsrc-2022Q4-base:1.2
	pkgsrc-2022Q3:1.2.0.26
	pkgsrc-2022Q3-base:1.2
	pkgsrc-2022Q2:1.2.0.24
	pkgsrc-2022Q2-base:1.2
	pkgsrc-2022Q1:1.2.0.22
	pkgsrc-2022Q1-base:1.2
	pkgsrc-2021Q4:1.2.0.20
	pkgsrc-2021Q4-base:1.2
	pkgsrc-2021Q3:1.2.0.18
	pkgsrc-2021Q3-base:1.2
	pkgsrc-2021Q2:1.2.0.16
	pkgsrc-2021Q2-base:1.2
	pkgsrc-2021Q1:1.2.0.14
	pkgsrc-2021Q1-base:1.2
	pkgsrc-2020Q4:1.2.0.12
	pkgsrc-2020Q4-base:1.2
	pkgsrc-2020Q3:1.2.0.10
	pkgsrc-2020Q3-base:1.2
	pkgsrc-2020Q2:1.2.0.8
	pkgsrc-2020Q2-base:1.2
	pkgsrc-2020Q1:1.2.0.4
	pkgsrc-2020Q1-base:1.2
	pkgsrc-2019Q4:1.2.0.6
	pkgsrc-2019Q4-base:1.2
	pkgsrc-2019Q3:1.2.0.2
	pkgsrc-2019Q3-base:1.2
	pkgsrc-2019Q2:1.1.1.1.0.76
	pkgsrc-2019Q2-base:1.1.1.1
	pkgsrc-2019Q1:1.1.1.1.0.74
	pkgsrc-2019Q1-base:1.1.1.1
	pkgsrc-2018Q4:1.1.1.1.0.72
	pkgsrc-2018Q4-base:1.1.1.1
	pkgsrc-2018Q3:1.1.1.1.0.70
	pkgsrc-2018Q3-base:1.1.1.1
	pkgsrc-2018Q2:1.1.1.1.0.68
	pkgsrc-2018Q2-base:1.1.1.1
	pkgsrc-2018Q1:1.1.1.1.0.66
	pkgsrc-2018Q1-base:1.1.1.1
	pkgsrc-2017Q4:1.1.1.1.0.64
	pkgsrc-2017Q4-base:1.1.1.1
	pkgsrc-2017Q3:1.1.1.1.0.62
	pkgsrc-2017Q3-base:1.1.1.1
	pkgsrc-2017Q2:1.1.1.1.0.58
	pkgsrc-2017Q2-base:1.1.1.1
	pkgsrc-2017Q1:1.1.1.1.0.56
	pkgsrc-2017Q1-base:1.1.1.1
	pkgsrc-2016Q4:1.1.1.1.0.54
	pkgsrc-2016Q4-base:1.1.1.1
	pkgsrc-2016Q3:1.1.1.1.0.52
	pkgsrc-2016Q3-base:1.1.1.1
	pkgsrc-2016Q2:1.1.1.1.0.50
	pkgsrc-2016Q2-base:1.1.1.1
	pkgsrc-2016Q1:1.1.1.1.0.48
	pkgsrc-2016Q1-base:1.1.1.1
	pkgsrc-2015Q4:1.1.1.1.0.46
	pkgsrc-2015Q4-base:1.1.1.1
	pkgsrc-2015Q3:1.1.1.1.0.44
	pkgsrc-2015Q3-base:1.1.1.1
	pkgsrc-2015Q2:1.1.1.1.0.42
	pkgsrc-2015Q2-base:1.1.1.1
	pkgsrc-2015Q1:1.1.1.1.0.40
	pkgsrc-2015Q1-base:1.1.1.1
	pkgsrc-2014Q4:1.1.1.1.0.38
	pkgsrc-2014Q4-base:1.1.1.1
	pkgsrc-2014Q3:1.1.1.1.0.36
	pkgsrc-2014Q3-base:1.1.1.1
	pkgsrc-2014Q2:1.1.1.1.0.34
	pkgsrc-2014Q2-base:1.1.1.1
	pkgsrc-2014Q1:1.1.1.1.0.32
	pkgsrc-2014Q1-base:1.1.1.1
	pkgsrc-2013Q4:1.1.1.1.0.30
	pkgsrc-2013Q4-base:1.1.1.1
	pkgsrc-2013Q3:1.1.1.1.0.28
	pkgsrc-2013Q3-base:1.1.1.1
	pkgsrc-2013Q2:1.1.1.1.0.26
	pkgsrc-2013Q2-base:1.1.1.1
	pkgsrc-2013Q1:1.1.1.1.0.24
	pkgsrc-2013Q1-base:1.1.1.1
	pkgsrc-2012Q4:1.1.1.1.0.22
	pkgsrc-2012Q4-base:1.1.1.1
	pkgsrc-2012Q3:1.1.1.1.0.20
	pkgsrc-2012Q3-base:1.1.1.1
	pkgsrc-2012Q2:1.1.1.1.0.18
	pkgsrc-2012Q2-base:1.1.1.1
	pkgsrc-2012Q1:1.1.1.1.0.16
	pkgsrc-2012Q1-base:1.1.1.1
	pkgsrc-2011Q4:1.1.1.1.0.14
	pkgsrc-2011Q4-base:1.1.1.1
	pkgsrc-2011Q3:1.1.1.1.0.12
	pkgsrc-2011Q3-base:1.1.1.1
	pkgsrc-2011Q2:1.1.1.1.0.10
	pkgsrc-2011Q2-base:1.1.1.1
	pkgsrc-2011Q1:1.1.1.1.0.8
	pkgsrc-2011Q1-base:1.1.1.1
	pkgsrc-2010Q4:1.1.1.1.0.6
	pkgsrc-2010Q4-base:1.1.1.1
	pkgsrc-2010Q3:1.1.1.1.0.4
	pkgsrc-2010Q3-base:1.1.1.1
	pkgsrc-2010Q2:1.1.1.1.0.2
	bzip2-1-0-6:1.1.1.1
	BZIP2:1.1.1;
locks; strict;
comment	@# @;


1.2
date	2019.07.21.11.51.24;	author nia;	state Exp;
branches;
next	1.1;
commitid	2uyJtOzB1nq5cUvB;

1.1
date	2010.09.22.14.32.17;	author joerg;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2010.09.22.14.32.17;	author joerg;	state Exp;
branches
	1.1.1.1.2.1;
next	;

1.1.1.1.2.1
date	2010.09.22.14.32.17;	author tron;	state dead;
branches;
next	1.1.1.1.2.2;

1.1.1.1.2.2
date	2010.09.22.18.04.23;	author tron;	state Exp;
branches;
next	;


desc
@@


1.2
log
@bzip2: Update to 1.0.8. This changes the upstream to sourceware.org.

1.0.8 (13 Jul 19)
~~~~~~~~~~~~~~~~~

* Accept as many selectors as the file format allows.
  This relaxes the fix for CVE-2019-12900 from 1.0.7
  so that bzip2 allows decompression of bz2 files that
  use (too) many selectors again.

* Fix handling of large (> 4GB) files on Windows.

* Cleanup of bzdiff and bzgrep scripts so they don't use
  any bash extensions and handle multiple archives correctly.

* There is now a bz2-files testsuite at
  https://sourceware.org/git/bzip2-tests.git

1.0.7 (27 Jun 19)
~~~~~~~~~~~~~~~~~

* Fix undefined behavior in the macros SET_BH, CLEAR_BH, & ISSET_BH

* bzip2: Fix return value when combining --test,-t and -q.

* bzip2recover: Fix buffer overflow for large argv[0]

* bzip2recover: Fix use after free issue with outFile (CVE-2016-3189)

* Make sure nSelectors is not out of range (CVE-2019-12900)
@
text
@#!/bin/sh
# sh is buggy on RS/6000 AIX 3.2. Replace above line with #!/bin/ksh

# Bzcmp/diff wrapped for bzip2, 
# adapted from zdiff by Philippe Troin <phil@@fifi.org> for Debian GNU/Linux.

# Bzcmp and bzdiff are used to invoke the cmp or the  diff  pro-
# gram  on compressed files.  All options specified are passed
# directly to cmp or diff.  If only 1 file is specified,  then
# the  files  compared  are file1 and an uncompressed file1.gz.
# If two files are specified, then they are  uncompressed  (if
# necessary) and fed to cmp or diff.  The exit status from cmp
# or diff is preserved.

PATH="/usr/bin:/bin:$PATH"; export PATH
prog=`echo $0 | sed 's|.*/||'`
case "$prog" in
  *cmp) comp=${CMP-cmp}   ;;
  *)    comp=${DIFF-diff} ;;
esac

OPTIONS=
FILES=
for ARG
do
    case "$ARG" in
    -*)	OPTIONS="$OPTIONS $ARG";;
     *)	if test -f "$ARG"; then
            FILES="$FILES $ARG"
        else
            echo "${prog}: $ARG not found or not a regular file"
	    exit 1
        fi ;;
    esac
done
if test -z "$FILES"; then
	echo "Usage: $prog [${comp}_options] file [file]"
	exit 1
fi
set $FILES
if test $# -eq 1; then
	FILE=`echo "$1" | sed 's/.bz2$//'`
	bzip2 -cd "$FILE.bz2" | $comp $OPTIONS - "$FILE"
	STAT="$?"

elif test $# -eq 2; then
	case "$1" in
        *.bz2)
                case "$2" in
	        *.bz2)
			F=`echo "$2" | sed 's|.*/||;s|.bz2$||'`
			tmp=`mktemp "${TMPDIR:-/tmp}"/bzdiff.XXXXXXXXXX` || {
			      echo 'cannot create a temporary file' >&2
			      exit 1
			}
                        bzip2 -cdfq "$2" > "$tmp"
                        bzip2 -cdfq "$1" | $comp $OPTIONS - "$tmp"
                        STAT="$?"
			/bin/rm -f "$tmp";;

                *)      bzip2 -cdfq "$1" | $comp $OPTIONS - "$2"
                        STAT="$?";;
                esac;;
        *)      case "$2" in
	        *.bz2)
                        bzip2 -cdfq "$2" | $comp $OPTIONS "$1" -
                        STAT="$?";;
                *)      $comp $OPTIONS "$1" "$2"
                        STAT="$?";;
                esac;;
	esac
else
	echo "Usage: $prog [${comp}_options] file [file]"
	exit 1
fi
exit "$STAT"
@


1.1
log
@Initial revision
@
text
@a39 4
tmp=`mktemp ${TMPDIR:-/tmp}/bzdiff.XXXXXXXXXX` || {
      echo 'cannot create a temporary file' >&2
      exit 1
}
d52 6
a57 2
                        bzip2 -cdfq "$2" > $tmp
                        bzip2 -cdfq "$1" | $comp $OPTIONS - $tmp
d59 1
a59 1
			/bin/rm -f $tmp;;
a71 1
        exit "$STAT"
d76 1
@


1.1.1.1
log
@Import stripped down bzip2-1.0.6.
@
text
@@


1.1.1.1.2.1
log
@file bzdiff was added on branch pkgsrc-2010Q2 on 2010-09-22 18:04:23 +0000
@
text
@d1 76
@


1.1.1.1.2.2
log
@Pullup ticket #3228 - requested by joerg
archivers/bzip2: security update

Revisions pulled up:
- archivers/bzip2/Makefile			1.50
- archivers/bzip2/PLIST				1.4
- archivers/bzip2/files/CHANGES			1.3
- archivers/bzip2/files/README			1.3
- archivers/bzip2/files/bzdiff			new file
- archivers/bzip2/files/bzdiff.1		new file
- archivers/bzip2/files/bzgrep			new file
- archivers/bzip2/files/bzgrep.1		new file
- archivers/bzip2/files/decompress.c		1.3
---
Module Name:	pkgsrc
Committed By:	joerg
Date:		Wed Sep 22 14:32:18 UTC 2010

Update of /cvsroot/pkgsrc/archivers/bzip2/files
In directory ivanova.netbsd.org:/tmp/cvs-serv13227

Log Message:
Import stripped down bzip2-1.0.6.
---
Module Name:	pkgsrc
Committed By:	joerg
Date:		Wed Sep 22 14:48:41 UTC 2010

Modified Files:
	pkgsrc/archivers/bzip2/files: CHANGES README decompress.c

Log Message:
Update to bzip2-1.0.6: Fix for CVE-2010-0405
---
Module Name:	pkgsrc
Committed By:	joerg
Date:		Wed Sep 22 14:53:22 UTC 2010

Modified Files:
	pkgsrc/archivers/bzip2: Makefile PLIST

Log Message:
Update to bzip2-1.0.6: Fix for CVE-2010-0405. Also install various
helper scripts.
@
text
@a0 76
#!/bin/sh
# sh is buggy on RS/6000 AIX 3.2. Replace above line with #!/bin/ksh

# Bzcmp/diff wrapped for bzip2, 
# adapted from zdiff by Philippe Troin <phil@@fifi.org> for Debian GNU/Linux.

# Bzcmp and bzdiff are used to invoke the cmp or the  diff  pro-
# gram  on compressed files.  All options specified are passed
# directly to cmp or diff.  If only 1 file is specified,  then
# the  files  compared  are file1 and an uncompressed file1.gz.
# If two files are specified, then they are  uncompressed  (if
# necessary) and fed to cmp or diff.  The exit status from cmp
# or diff is preserved.

PATH="/usr/bin:/bin:$PATH"; export PATH
prog=`echo $0 | sed 's|.*/||'`
case "$prog" in
  *cmp) comp=${CMP-cmp}   ;;
  *)    comp=${DIFF-diff} ;;
esac

OPTIONS=
FILES=
for ARG
do
    case "$ARG" in
    -*)	OPTIONS="$OPTIONS $ARG";;
     *)	if test -f "$ARG"; then
            FILES="$FILES $ARG"
        else
            echo "${prog}: $ARG not found or not a regular file"
	    exit 1
        fi ;;
    esac
done
if test -z "$FILES"; then
	echo "Usage: $prog [${comp}_options] file [file]"
	exit 1
fi
tmp=`mktemp ${TMPDIR:-/tmp}/bzdiff.XXXXXXXXXX` || {
      echo 'cannot create a temporary file' >&2
      exit 1
}
set $FILES
if test $# -eq 1; then
	FILE=`echo "$1" | sed 's/.bz2$//'`
	bzip2 -cd "$FILE.bz2" | $comp $OPTIONS - "$FILE"
	STAT="$?"

elif test $# -eq 2; then
	case "$1" in
        *.bz2)
                case "$2" in
	        *.bz2)
			F=`echo "$2" | sed 's|.*/||;s|.bz2$||'`
                        bzip2 -cdfq "$2" > $tmp
                        bzip2 -cdfq "$1" | $comp $OPTIONS - $tmp
                        STAT="$?"
			/bin/rm -f $tmp;;

                *)      bzip2 -cdfq "$1" | $comp $OPTIONS - "$2"
                        STAT="$?";;
                esac;;
        *)      case "$2" in
	        *.bz2)
                        bzip2 -cdfq "$2" | $comp $OPTIONS "$1" -
                        STAT="$?";;
                *)      $comp $OPTIONS "$1" "$2"
                        STAT="$?";;
                esac;;
	esac
        exit "$STAT"
else
	echo "Usage: $prog [${comp}_options] file [file]"
	exit 1
fi
@


